clustered lvm commands fail with "activation/monitoring=0 is incompatible with clustered Volume Group" error

Bug #833368 reported by Srinath on 2011-08-24
74
This bug affects 12 people
Affects Status Importance Assigned to Milestone
lvm2 (Ubuntu)
Undecided
Louis Bouchard
Precise
High
Dimitri John Ledkov
Quantal
Undecided
Louis Bouchard
Raring
Undecided
Louis Bouchard
resource-agents (Ubuntu)
Undecided
Ante Karamatić
Precise
Undecided
Louis Bouchard
Quantal
Undecided
Louis Bouchard
Raring
Undecided
Ante Karamatić

Bug Description

SRU justification

Impact : clustered lvm requires monitoring to be on which is hardcoded to off so
it is currently impossible to import clustered LVM volume group even when changing
the default in /etc/lvm/lvm.conf

Fix : Actually read monitoring config value in /etc/lvm/lvm.conf when dealing with clustered VGs.

Test Case :
 - Create a one node cluster using CMAN and PACEMAKER.
 - Install CLVM and enable it ( lvmconf --enable-cluster )
 - Start CMAN, CLVM and PACEMAKER
 - Add an LVM device, create a Volume group and enable it.

Without the fix, the user would see the following message :

# vgchange -a y data_vg
  activation/monitoring=0 is incompatible with clustered Volume Group "data_vg": Skipping.

Regression : clustered VGs should now be activated automatically and correctly now, which maybe unexpected on some systems. No other defaults have changed.

Description of the problem :

When trying to configure a clustered lvm2 using cman and clvm, clvm start up and lvm commands fail with this error:

# vgchange -a y data_vg
  activation/monitoring=0 is incompatible with clustered Volume Group "data_vg": Skipping.

if I use "--monitor y" then the command works as expected.

# vgchange -a y --monitor y data_vg
  1 logical volume(s) in volume group "data_vg" now active

activation/monitoring is set to 1 in lvm.conf

The biggest problem is that I can't do LVM manipulation via interfaces such as virt-manager.

Here is the lvm.conf dump:

# lvm dumpconfig
  devices {
        dir="/dev"
        scan="/dev"
        preferred_names=[]
        filter=["a|drbd.*|", "r|.*|"]
        cache_dir="/etc/lvm/cache"
        cache_file_prefix=""
        write_cache_state=1
        sysfs_scan=1
        md_component_detection=1
        md_chunk_alignment=1
        data_alignment_detection=1
        data_alignment=0
        data_alignment_offset_detection=1
        ignore_suspended_devices=0
  }
  dmeventd {
        mirror_library="libdevmapper-event-lvm2mirror.so"
        snapshot_library="libdevmapper-event-lvm2snapshot.so"
  }
  activation {
        udev_sync=1
        udev_rules=1
        missing_stripe_filler="error"
        reserved_stack=256
        reserved_memory=8192
        process_priority=-18
        mirror_region_size=512
        readahead="auto"
        mirror_log_fault_policy="allocate"
        mirror_image_fault_policy="remove"
        use_mlockall=0
        monitoring=1
        polling_interval=15
  }
  global {
        umask=63
        test=0
        units="h"
        si_unit_consistency=1
        activation=1
        proc="/proc"
        locking_type=3
        wait_for_locks=1
        fallback_to_clustered_locking=1
        fallback_to_local_locking=1
        locking_dir="/var/lock/lvm"
        prioritise_write_locks=1
        abort_on_internal_errors=0
  }
  shell {
        history_size=100
  }
  backup {
        backup=1
        backup_dir="/etc/lvm/backup"
        archive=1
        archive_dir="/etc/lvm/archive"
        retain_min=10
        retain_days=30
  }
  log {
        verbose=0
        syslog=1
        overwrite=0
        level=0
        indent=1
        command_names=0
        prefix=" "
        activation=1
  }

Srinath (srinath) on 2011-08-24
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lvm2 (Ubuntu):
status: New → Confirmed
Nec (nicolas-ecarnot) wrote :

Any further news or decisions?
This bug *IS* a bug.

Nils Jungclaus (nils-jungclaus) wrote :

I rebuilt the lvm2 packages from source and removed the monitoring-default-off.patch. clvm now works as expected. I believe, the patch, which defines DEFAULT_DMEVENTD_MONITOR -1 is not compatible with the location where this error occurs: toollib.c in the function get_activation_monitoring_mode.

I used this patch with oneiric for a drbd/clvm/gfs/kvm cluster.

Ante Karamatić (ivoks) wrote :

Could you please add 'ppa:ivoks/ha' PPA (packages will be available in few minutes), upgrade your packages and retest? Thanks!

Changed in lvm2 (Ubuntu):
assignee: nobody → Ante Karamatić (ivoks)
Ante Karamatić (ivoks) wrote :

Note that packages in the PPA are relevant only for pacemaker and redhat-cluster clusters.

Changed in resource-agents (Ubuntu):
status: New → In Progress
assignee: nobody → Ante Karamatić (ivoks)
Changed in lvm2 (Ubuntu):
assignee: Ante Karamatić (ivoks) → nobody
ITec (itec) wrote :

I have got the same problem.

I installed Ante's packages from 'ppa:ivoks/ha', but the problem still consists.

# lsb_release -rd
Description: Ubuntu 12.04 LTS
Release: 12.04

# dpkg -l clvm libdevmapper1.02.1 lvm2
ii clvm 2.02.66-4ubuntu7.1~ppa1 Cluster LVM Daemon for lvm2
ii libdevmapper1.02.1 2:1.02.48-4ubuntu7.1~ppa1 The Linux Kernel Device Mapper userspace library
ii lvm2 2.02.66-4ubuntu7.1~ppa1 The Linux Logical Volume Manager

# /etc/init.d/clvm start
 * Starting Cluster LVM Daemon clvm [ OK ]
 * Activating all VGs
  activation/monitoring=0 is incompatible with clustered Volume Group "clvm": Skipping.
  6 logical volume(s) in volume group "lvm" now active

Ante Karamatić (ivoks) wrote :

ITec, those packages are only for pacemaker/redhat-cluster use of cLVM - they do not fix standalone cLVM. Standalone cLVM isn't really preferred way of using clustered LVM. This is why I've marked bug in resource-agents as 'In Progress', not the one in cLVM.

ITec (itec) wrote :

Possible solution or workaround:
Execute "vgchange" in "/etc/init.d/clvm" with the option "--monitor y".

To change "/etc/init.d/clvm" do:
 mv /etc/init.d/clvm.dist /etc/init.d/clvm
 sed 's/vgchange /vgchange --monitor y /g' /etc/init.d/clvm.dist > /etc/init.d/clvm
 chmod 755 /etc/init.d/clvm

Bart Verwilst (verwilst) wrote :

So what is the way forward here? I presume adding --monitor y can't be added by default? Maybe it could be enabled through /etc/default/clvm?

Bart Verwilst (verwilst) wrote :

Which ofcourse still won't fix virt-manager i guess..

Kees Cook (kees) wrote :

The reason for the patch originally was to make sure that lvm commands by default (even without a /etc/lvm/lvm.conf) in weird/small/udeb/whatever environments do not require that dmeventd be running.

It seems that the patch introduces or exposes a bug that the conf file settings aren't always (ever?) correctly read by the tools, so monitor cannot be globally enabled. This needs to be fixed.

Dimitri John Ledkov (xnox) wrote :

Assigning to myself the lvm2 task to look into this for triaging. (my personal TODO list) ;-)

Changed in lvm2 (Ubuntu):
assignee: nobody → Dmitrijs Ledkovs (dmitrij.ledkov)
Dimitri John Ledkov (xnox) wrote :

That commit is released in 2.02.96 as far as I can see:
$ git describe --contains d81498a824e66acca994807643e9df1e452fd61c
v2_02_96~375

Bart Verwilst (verwilst) wrote :

Ok, so what's the plan of action here? Backport the fix?

Bart Verwilst (verwilst) wrote :

Since this is blocking the deploy of my new Ubuntu 12.04 based environment, how should i proceed, roll my own deb with the latest lvm2 version, or is there something i can do to help this along? I would prefer this to be fixed in the official LTS release instead of having to maintain my own debs though, so just yell!

Since this is released in .96, this should probably be released in
Quantal first, as this bug affects all releases, not just 12.04.

Bart Verwilst (verwilst) wrote :

Debian Wheezy has 2.02.95-4, seems like a good starting point for a new ubuntu package ;)

Bart Verwilst (verwilst) wrote :

2.02.95-4 seems to have the same monitoring-default-off.patch as we can find in the Ubuntu packages. Does this mean it's an issue for Debian ( wheezy ) as well?

Bart Verwilst (verwilst) wrote :

Let's take this last hurdle to have fully working cluster support under Ubuntu!

Serge Hallyn (serge-hallyn) wrote :

ivoks or xnox, are you still working on this bug?

(I just instrumented toollib.c and it sure seems like, in raring, monitoring is being correctly set based on lvm.conf, but I probably don't have things set up right)

We are experiencing this bug as well, and are very keen to see a fix.
How is work going on this?

The two work-arounds suggested above, have not succeeded for us;
a) add the 'ppa:ivoks/ha' respoitory and pull the "clvm" from there.
b) Manually edit "/etc./init.d/clvm" to add the "--monitor y" option to the vgchange commands in the "do_activate routine"

Has anyone identified a work-around that works?
If there is one, then can you help us in the short term and share it please?

Tais P. Hansen (taisph) wrote :
Download full text (4.7 KiB)

@robert We did not use the ppa but changing all occurrences of vgchange in
the clvm script has been working so far.

Sent from my Google Nexus tablet
On Nov 22, 2012 1:11 PM, "Robert McGrath" <email address hidden>
wrote:

> We are experiencing this bug as well, and are very keen to see a fix.
> How is work going on this?
>
> The two work-arounds suggested above, have not succeeded for us;
> a) add the 'ppa:ivoks/ha' respoitory and pull the "clvm" from there.
> b) Manually edit "/etc./init.d/clvm" to add the "--monitor y" option to
> the vgchange commands in the "do_activate routine"
>
> Has anyone identified a work-around that works?
> If there is one, then can you help us in the short term and share it
> please?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/833368
>
> Title:
> clustered lvm commands fail with "activation/monitoring=0 is
> incompatible with clustered Volume Group" error
>
> Status in “lvm2” package in Ubuntu:
> Confirmed
> Status in “resource-agents” package in Ubuntu:
> In Progress
>
> Bug description:
> # lsb_release -rd
> Description: Ubuntu 11.04
> Release: 11.04
>
> # apt-cache policy lvm2
> lvm2:
> Installed: 2.02.66-4ubuntu2
> Candidate: 2.02.66-4ubuntu2
> Version table:
> *** 2.02.66-4ubuntu2 0
> 500 http://ubuntu.mirror.iweb.ca/ natty/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> # apt-cache policy clvm
> clvm:
> Installed: 2.02.66-4ubuntu2
> Candidate: 2.02.66-4ubuntu2
> Version table:
> *** 2.02.66-4ubuntu2 0
> 500 http://ubuntu.mirror.iweb.ca/ natty/main amd64 Packages
> 100 /var/lib/dpkg/status
>
>
> # apt-cache policy libdevmapper1.02.1
> libdevmapper1.02.1:
> Installed: 2:1.02.48-4ubuntu2
> Candidate: 2:1.02.48-4ubuntu2
> Version table:
> *** 2:1.02.48-4ubuntu2 0
> 500 http://ubuntu.mirror.iweb.ca/ natty/main amd64 Packages
> 100 /var/lib/dpkg/status
>
>
>
> When trying to configure a clustered lvm2 using cman and clvm, clvm
> start up and lvm commands fail with this error:
>
> # vgchange -a y data_vg
> activation/monitoring=0 is incompatible with clustered Volume Group
> "data_vg": Skipping.
>
> if I use "--monitor y" then the command works as expected.
>
> # vgchange -a y --monitor y data_vg
> 1 logical volume(s) in volume group "data_vg" now active
>
>
> activation/monitoring is set to 1 in lvm.conf
>
>
> The biggest problem is that I can't do LVM manipulation via interfaces
> such as virt-manager.
>
>
> Here is the lvm.conf dump:
>
> # lvm dumpconfig
> devices {
> dir="/dev"
> scan="/dev"
> preferred_names=[]
> filter=["a|drbd.*|", "r|.*|"]
> cache_dir="/etc/lvm/cache"
> cache_file_prefix=""
> write_cache_state=1
> sysfs_scan=1
> md_component_detection=1
> md_chunk_alignment=1
> data_alignment_detection=1
> data_alignment=0
> data_alignment_offset_detection=1
> ignore_suspended_devices=0
> }
> dmeventd ...

Read more...

We have a two node cluster, and the "work-around" of hacking "--monitor y" into "/etc/init.d/clvm" has failed, but not totally.

The operating system lives on VG0 (not clustered), and that is ok.

There is a single clustered volume group called VGclust0.
In that VG there are only three logical volumes
lvmetadata
lvdata
lvbackup

With the work-around/hack we have two LV's reporting available, and one "NOT available"

I hope this information helps.

Tais P. Hansen (taisph) wrote :
Download full text (4.8 KiB)

@robert

That doesn't sound like the same issue. Either no lvs would show or all of
them.

The actual error messages you're seeing if any could be helpful. The output
of pvs -vv, vgs -vv and lvs -vv would be helpful as well.

On Thu, Nov 22, 2012 at 1:35 PM, Robert McGrath <
<email address hidden>> wrote:

> We have a two node cluster, and the "work-around" of hacking "--monitor
> y" into "/etc/init.d/clvm" has failed, but not totally.
>
> The operating system lives on VG0 (not clustered), and that is ok.
>
> There is a single clustered volume group called VGclust0.
> In that VG there are only three logical volumes
> lvmetadata
> lvdata
> lvbackup
>
> With the work-around/hack we have two LV's reporting available, and one
> "NOT available"
>
> I hope this information helps.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/833368
>
> Title:
> clustered lvm commands fail with "activation/monitoring=0 is
> incompatible with clustered Volume Group" error
>
> Status in “lvm2” package in Ubuntu:
> Confirmed
> Status in “resource-agents” package in Ubuntu:
> In Progress
>
> Bug description:
> # lsb_release -rd
> Description: Ubuntu 11.04
> Release: 11.04
>
> # apt-cache policy lvm2
> lvm2:
> Installed: 2.02.66-4ubuntu2
> Candidate: 2.02.66-4ubuntu2
> Version table:
> *** 2.02.66-4ubuntu2 0
> 500 http://ubuntu.mirror.iweb.ca/ natty/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> # apt-cache policy clvm
> clvm:
> Installed: 2.02.66-4ubuntu2
> Candidate: 2.02.66-4ubuntu2
> Version table:
> *** 2.02.66-4ubuntu2 0
> 500 http://ubuntu.mirror.iweb.ca/ natty/main amd64 Packages
> 100 /var/lib/dpkg/status
>
>
> # apt-cache policy libdevmapper1.02.1
> libdevmapper1.02.1:
> Installed: 2:1.02.48-4ubuntu2
> Candidate: 2:1.02.48-4ubuntu2
> Version table:
> *** 2:1.02.48-4ubuntu2 0
> 500 http://ubuntu.mirror.iweb.ca/ natty/main amd64 Packages
> 100 /var/lib/dpkg/status
>
>
>
> When trying to configure a clustered lvm2 using cman and clvm, clvm
> start up and lvm commands fail with this error:
>
> # vgchange -a y data_vg
> activation/monitoring=0 is incompatible with clustered Volume Group
> "data_vg": Skipping.
>
> if I use "--monitor y" then the command works as expected.
>
> # vgchange -a y --monitor y data_vg
> 1 logical volume(s) in volume group "data_vg" now active
>
>
> activation/monitoring is set to 1 in lvm.conf
>
>
> The biggest problem is that I can't do LVM manipulation via interfaces
> such as virt-manager.
>
>
> Here is the lvm.conf dump:
>
> # lvm dumpconfig
> devices {
> dir="/dev"
> scan="/dev"
> preferred_names=[]
> filter=["a|drbd.*|", "r|.*|"]
> cache_dir="/etc/lvm/cache"
> cache_file_prefix=""
> write_cache_state=1
> sysfs_scan=1
> md_component_detection=1
> md_chunk_alignment=1
> data_alignment_detection=1
> data_alignment=0
> data_alignment_offset_detection=1
>...

Read more...

Download full text (11.9 KiB)

After a clean boot (no hacks or work-arounds applied), this is the output of "crm configure show"
node gswhdesv01-nfs2
node ixlhdesv01-nfs1
primitive resCLVMd ocf:lvm2:clvmd \
        params daemon_timeout="100" \
        op start interval="0" timeout="90s" \
        op stop interval="0" timeout="100s"
primitive resDLM ocf:pacemaker:controld \
        params daemon="dlm_controld" \
        op monitor interval="120s" \
        op start interval="0" timeout="90s" \
        op stop interval="0" timeout="100s"
primitive resFidoData ocf:heartbeat:Filesystem \
        params device="/dev/VGshared00/lvFidoData" directory="/opt/hogarth/FidoData" fstype="gfs2" \
        op monitor interval="14s" timeout="40" \
        op start interval="0" timeout="60" \
        op stop interval="0" timeout="60" \
        meta resource-stickiness="20"
primitive resGFSD ocf:pacemaker:controld \
        params daemon="gfs_controld" args="" \
        op monitor interval="120s" \
        op start interval="0" timeout="90s" \
        op stop interval="0" timeout="100s"
primitive resGFSNFSmeta ocf:heartbeat:Filesystem \
        params device="/dev/VGshared00/NFSmetadata" directory="/opt/hogarth/NFSmetadata" fstype="gfs2" \
        op monitor interval="14s" timeout="40" \
        op start interval="0" timeout="60" \
        op stop interval="0" timeout="60" \
        meta resource-stickiness="30" target-role="Started"
primitive resSQLBckp ocf:heartbeat:Filesystem \
        params device="/dev/VGshared00/lvSQLBckp" directory="/opt/hogarth/SQLBckp" fstype="gfs2" \
        op monitor interval="14s" timeout="40" \
        op start interval="0" timeout="60" \
        op stop interval="0" timeout="60" \
        meta resource-stickiness="25"
primitive resVGshared00 ocf:heartbeat:LVM \
        params volgrpname="VGshared00" \
        op monitor interval="10" timeout="50" depth="0" \
        op start interval="0" timeout="P140S" \
        op stop interval="0" timeout="P40S" \
        meta resource-stickiness="10" target-role="Started" is-managed="true"
primitive stonith_sbd stonith:external/sbd \
        params sbd_device="/dev/mapper/HSBC-NFS-STORAGE-part1"
clone cloneCLVMd resCLVMd \
        meta globally-unique="false" target-role="Started" interleave="true"
clone cloneDLM resDLM \
        meta globally-unique="false" target-role="Started" interleave="true"
clone cloneFidoData resFidoData \
        meta interleave="true" ordered="true" target-role="Started"
clone cloneGFSD resGFSD \
        meta globally-unique="false" interleave="true" target-role="Started"
clone cloneSQLBckp resSQLBckp \
        meta interleave="true" ordered="true" target-role="Started"
clone cstonith_sbd stonith_sbd \
        meta globally-unique="false" target-role="Started" interleave="true"
colocation colGFSDDLM inf: cloneGFSD cloneDLM
colocation colGFSFidoData inf: cloneFidoData cloneGFSD
colocation colGFSSQLBckp inf: cloneSQLBckp cloneGFSD
order ordDLMGFSD 0: cloneDLM cloneGFSD
order ordLVMgfs 1: resVGshared00 cloneGFSD
property $id="cib-bootstrap-options" \
        dc-version="1.1.6-9971ebba4494012a93c03b40a2c58ec0eb60f50c" \
        cluster-infrastructure="cman" \
        expected-quorum-votes="2" \
   ...

Ante Karamatić (ivoks) wrote :

On 22.11.2012 15:05, Robert McGrath wrote::

> primitive resCLVMd ocf:lvm2:clvmd \
> params daemon_timeout="100" \
> op start interval="0" timeout="90s" \
> op stop interval="0" timeout="100s"

You aren't using clvmd init.d script. You are using clvmd OCF. Edit
/usr/lib/ocf/resource.d/lvm2/clvmd and add --monitor y to appropriate place.

@Serge I'm kind of on vacation till next week :) I might create a PPA
with a suggested fix on Monday.

--
Ante Karamatic <email address hidden>
Professional and Engineering Services
Canonical Ltd

I think we removed that 'incompatible' message upstream earlier this year, so
you might want to look at a more recent upstream version.

Alasdair

Found several miss-spellings of "globally_unique", in the following files;

/usr/lib/ocf/resource.d/lvm2/clvmd
/usr/lib/ocf/resource.d/pacemaker/controld
/usr/lib/ocf/resource.d/pacemaker/o2cb

Now testing .......

Testing the correction of spelling was not a success.

Although "Ante" thank you for your suggestion about
/usr/lib/ocf/resource.d/lvm2/clvmd

the VG's are not brought online in that, although it did help me to see
"/usr/lib/ocf/resource.d/heartbeat/LVM"

trying the "--monitor y" fix to that now. ........

The "hack" of "/usr/lib/ocf/resource.d/heartbeat/LVM" has tested successfully.
The spelling fixes are also still in place, so I don't know if either one was the magic bullet or if it was both.

Thanks for your assistance Ante

Hope this helps other too.

Alasdair G. Kergon (agk2) wrote :

On Thu, Nov 22, 2012 at 05:10:25PM -0000, Robert McGrath wrote:
> The spelling fixes are also still in place,

I notified upstream:
  https://github.com/beekhof/pacemaker/commit/932e41e

Alasdair

Dimitri John Ledkov (xnox) wrote :

<caribou> xnox: it's already fixed in Q & R

Adjusted statuses.

Changed in lvm2 (Ubuntu Precise):
status: New → Confirmed
Changed in lvm2 (Ubuntu Raring):
assignee: Dmitrijs Ledkovs (xnox) → nobody
Changed in lvm2 (Ubuntu Quantal):
status: New → Invalid
Changed in lvm2 (Ubuntu Raring):
status: Confirmed → Invalid
tags: added: precise
Louis Bouchard (louis) on 2012-12-19
Changed in lvm2 (Ubuntu Precise):
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in resource-agents (Ubuntu Precise):
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in lvm2 (Ubuntu Quantal):
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in lvm2 (Ubuntu Raring):
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in resource-agents (Ubuntu Quantal):
assignee: nobody → Louis Bouchard (louis-bouchard)
Louis Bouchard (louis) on 2012-12-19
description: updated
Changed in resource-agents (Ubuntu Precise):
status: New → Invalid
Changed in resource-agents (Ubuntu Quantal):
status: New → Invalid
Changed in resource-agents (Ubuntu Raring):
status: In Progress → Invalid
Changed in lvm2 (Ubuntu Precise):
status: Confirmed → In Progress
Louis Bouchard (louis) wrote :

debdiff for the proposed fix tested on 12.04 precise

Louis Bouchard (louis) wrote :

@robert

You may want to revert your changes if possible to test the fix once it becomes available in the -proposed pocket.

Dimitri John Ledkov (xnox) wrote :

Debian dropped clustered lvm2 support.

lvm2 (2.02.95-6) unstable; urgency=low

   * Drop cluster (clvm) support. It never properly worked and is more dead
     than alive.
 -- Bastian Blank <email address hidden> Wed, 02 Jan 2013 11:11:41 +0100

Do we still want it in Ubuntu?

Nec (nicolas-ecarnot) wrote :

Too bad!
I based part of my work on this.
Having to leave debian/ubuntu universe to be forced to return to redhat/fedora/centos is not the greatest joy of my day...

Nec (nicolas-ecarnot) wrote :

@xnox

Anyway, may you cite your sources please ?

Alasdair G. Kergon (agk2) wrote :

On Sat, Jan 12, 2013 at 12:03:21AM -0000, Dmitrijs Ledkovs wrote:
> Debian dropped clustered lvm2 support.
> * Drop cluster (clvm) support. It never properly worked and is more dead
> than alive.
> -- Bastian Blank <email address hidden> Wed, 02 Jan 2013 11:11:41 +0100
> Do we still want it in Ubuntu?

It it certainly not dead upstream and does work properly. It remains
supported in Fedora/Red Hat Enterprise Linux/CentOS and presumably in
many other distributions too.

Alasdair

Louis Bouchard (louis) wrote :

@xnox

No matter what happens to upstream/upcoming Ubuntu versions, clvm is part of Precise and supported for its LTS life. This shouldn't impact this SRU unless I'm mistaken

Dimitri John Ledkov (xnox) wrote :

@ Nec
I did cite my sources, by copy pasting Debian changelog entry as uploaded into Debian for the lvm2 package.

@ louis-bouchard
I know that LTS is not going to change with respect to feature set.
I just wanted to get feedback, if we still want to continue provide clvm in Ubuntu, despite Debian not shipping it.

As a user of Ubuntu I would like to see it supported. I use it extensively on physical hosts to support virtual servers. It's also particularly useful for OCFS2, GFS/GFS2, ceph etc.

Apparently this removal could brick servers using the the cluster feature as well (debian bug #697676.)

Nec (nicolas-ecarnot) wrote :

Indeed, I don't get it !
How is Debian planning to do to propose a clustered use of a filesystem amongst more than 2 nodes?
As Mark said, the number of broken dependencies is large, I don't understand this choice.

On 14.01.2013 15:28, Dmitrijs Ledkovs wrote::

> I did cite my sources, by copy pasting Debian changelog entry as uploaded into Debian for the lvm2 package.

TBH, I find it surprising that anyone can claim that clvm never worked.
It works at least since 2008 - it's when I started using it on
production machines.

Claim that clvm is dead upstream makes me wonder - is this a hoax? Clvm
is not dead. It's quite the opposite.

We should fork the package or help Debian maintainer find the truth :)

Oliver Grawert (ogra) wrote :

@ louis-bouchard

the changelog entry in your debdiff points to precise instead of precise-proposed, could you update that ?

Louis Bouchard (louis) wrote :

New debdiff with precise-proposed in the changelog

Dimitri John Ledkov (xnox) wrote :

I disagree with the proposed fix in https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/833368/comments/46
Due to the reason behind this patch - https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/833368/comments/11

On the other-hand not many people have clustered vgs setup, and if they do we can require dmeventd running.

Thus i'll propose a patch for precise to read monitoring value from /etc/lvm/lvm.conf if vg_is_clustered are detected.

I'll first test these assumptions with juju using precise machines to make sure it solves this bug and doesn't change lvm behaviour for non-clustered case.

Regards,

Dmitrijs.

Changed in lvm2 (Ubuntu Precise):
assignee: Louis Bouchard (louis-bouchard) → Dmitrijs Ledkovs (xnox)
importance: Undecided → High
description: updated
Dimitri John Ledkov (xnox) wrote :

This package has been uploaded into precise-proposed unapproved queue, pending acceptance by SRU team.

lvm2 (2.02.66-4ubuntu7.2) precise; urgency=low

  * Honour monitoring=1 config option in /etc/lvm/lvm.conf when using
    clustered VGs (LP: #833368).

  * /etc/init.d/clvm status now exits with code 3, if clvm is not running,
    as per LSB specification. (LP: #988881)

Date: Wed, 06 Feb 2013 10:34:32 +0000
Changed-By: Dmitrijs Ledkovs <email address hidden>
Maintainer: Ubuntu Core Developers <email address hidden>
https://launchpad.net/ubuntu/precise/+source/lvm2/2.02.66-4ubuntu7.2

==

 OK: lvm2_2.02.66.orig.tar.gz
 OK: lvm2_2.02.66-4ubuntu7.2.debian.tar.gz
 OK: lvm2_2.02.66-4ubuntu7.2.dsc
     -> Component: main Section: admin

Colin Watson (cjwatson) on 2013-02-07
Changed in lvm2 (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed

Hello Srinath, or anyone else affected,

Accepted lvm2 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lvm2/2.02.66-4ubuntu7.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Louis Bouchard (louis) on 2013-03-04
tags: added: verification-done
removed: verification-needed
Dimitri John Ledkov (xnox) wrote :

Used a precise canonistack instance with a volume attached.
Configured cman/pacemaker single node instance using https://wiki.ubuntu.com/ClusterStack/Precise
Verified that clvm & clustered vg can be activated when they are clustered and activation/monitoring=1 and without specifying --monitor y.
Verified that --monitor y still works to override activation/monitoring=0 setting.
Verified that non-clustered VGs still work.

tags: added: verification-precise-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.66-4ubuntu7.2

---------------
lvm2 (2.02.66-4ubuntu7.2) precise; urgency=low

  * Honour monitoring=1 config option in /etc/lvm/lvm.conf when using
    clustered VGs (LP: #833368).

  * /etc/init.d/clvm status now exits with code 3, if clvm is not running,
    as per LSB specification. (LP: #988881)
 -- Dmitrijs Ledkovs <email address hidden> Wed, 06 Feb 2013 10:34:32 +0000

Changed in lvm2 (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions